body {
    margin: 0;
    background-color: rgb(57, 121, 174);
    font-family: Arial, sans-serif;
}
html {
    scroll-behavior: smooth;
}
* {
  transition: all 0.5s ease;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

/* HEADER */
header {
    padding: 20px 40px;
    margin-bottom: 40px;
    text-align: center;
    
}

.navbar a {
 
    margin: 0 30px;
    text-decoration: none;
    color: #2c3e50;
    font-weight: bold;
    font-size: 18px;
    transition: color 0.3s;
}

    


h1 {
 
    margin-top: 80px;
    margin-bottom: 15px;
    text-align: center;
    font-family: 'Poppins', sans-serif;
    letter-spacing: 3px;
    font-weight: 600;
    font-size: 44px;
    color: #2c3e50;
    border-bottom: 3px solid #2c3e50;
    display: inline-block;
    padding-bottom: 10px;
}

p {
    margin-bottom: 15px;
    line-height: 1.8;
    text-align: center;
    font-size: 25px;
    color: #2c3e50;
}


section {
    margin: 75px auto;
    padding: 40px;
    max-width: 750px;
    background-color: rgba(255, 255, 255, 0.4);
    border-radius: 15px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.1);
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}




.fs-5 {
    margin-bottom: 10px;
    font-size: 24px;
    text-align: flex-start;



}
#KONTAKT{
    font-size: 25px;
    text-align: center;
    letter-spacing: 2px;
}
#PROJEKTI {
    text-align: center;
    margin-top: 100px;
    
}
.projekti-tekst {
    font-size: 23px;
    margin: auto;
    color: #000000;
}
section:hover {
    transform: translateY(-5px);
}
footer {
    background: #315981;
    color: white;
    text-align: center;
    padding: 30px;
}

@media (max-width: 768px) {
    h1 {
        font-size: 32px;
    }

    p {
        font-size: 16px;
    }

    .navbar a {
        display: block;
        margin: 10px 0;
    }

    section {
        margin: 40px 20px;
        padding: 30px;
    }
}
.hero {
    min-height: 8vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 20px;
}


.hero h1 {
    font-size: 52px;
    letter-spacing: 4px;
    margin-bottom: 20px;
}

.hero-text {
    font-size: 20px;
    max-width: 600px;
    line-height: 1.6;
    margin-bottom: 35px;
    color: #2c3e50;
}

.hero-btn {
    text-decoration: none;
    background: #b66ed2;
    color: rgb(10, 7, 7);
    padding: 14px 32px;
    border-radius: 30px;
    font-weight: bold;
    letter-spacing: 1px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.2);
    
}

.hero-btn:hover {
    background: #bf08bf;
    transform: translateY(-3px);
}
.hero h1:after {
    
    display: block;
    width: 80px;
    height: 4px;
    background: #000000;
    margin: 15px auto 0;
    border-radius: 2px;
}
.hero {
    animation: fadeIn 1.2s ease;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px)
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
   }
.row {
    display: flex;
    gap: 20px;                 
    align-items: stretch;       
    margin: 40px;
}

.row section {
    flex: 1;                   
    min-width: 100px;
    padding: 35px;
    height: 200px;
    background-color: rgba(156, 189, 231, 0.85); 
    border-radius: 15px;*/
    box-shadow: 0 10px 25px rgba(0,0,0,0.15);
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    transition: transform 0.3s;
}

.row section:hover {
    transform: translateY(-5px); 
}


.row h2, .row h3, .row h4, .row h5 {
    font-size: 20px;
    margin-bottom: 15px;
    color: #2c3e50;
    
    font-weight: 600;
}


.row p, .row ul {
    font-size: 16px;
    line-height: 1.6;
    color: #2c3e50;
    margin: 0;
    padding-left: 20px;       
}

.row ul li {
    margin-bottom: 8px;     
    list-style-type: disc;     
}

@media (max-width: 1200px) {
    .row section {
        min-width: 200px;
    }
}

@media (max-width: 768px) {
    .row {
        flex-direction: column; 
    }
}
